/* frequents*/

.ult_exp_section_layer.ult-adjust-bottom-margin div {
    background: white !important;
}

.ult_exp_section-main.ult_expright_icon {
	display: flex;
	justify-content: space-between
}


/* Button */
.button-accent-2 a {
	background: var(--accent-2);
	padding: 12px 32px;
    display: block;
    width: fit-content;
	margin: 0 auto;
	text-decoration: none;
    color: black;
	font-weight: bold;
	border-radius: 50px;
}

.button-contrast a {
	background: var(--contrast);
	padding: 12px 32px;
    display: block;
    width: fit-content;
	margin: 0 auto;
	text-decoration: none;
    color: white;
	font-weight: bold;
	border-radius: 50px;
}

.button-contrast a:hover {
	color: white;
}

/* Line*/
.icono::after {
    content: "";
    border-bottom: 1px solid black;
    display: block;
    width: 40px;
	margin: 0 auto;
}
.icono-2::after {
    content: "";
    border-bottom: 1px solid black;
    display: block;
    width: 30px;
}

.icono-fletxa {
	display: flex;
	gap: 5px;
	align-items: center;
}

.icono-fletxa::after {
    content: "\f063";
	font-family: "Font Awesome 7 Pro";
    font-weight: 900;
  	display: block;
  	font-size: 10px;
}


.espai-ul ul {
	margin-left: 20px;
}


/*
 Theme Name:   MAD - GeneratePress
 Theme URI:    https://generatepress.com
 Description:  Client version on GeneratePrees
 Author:       MP
 Template:     generatepress
 Version:      0.2
 Text Domain:  mad
*/

/************************************************************************ GENERAL *************************************************************************/
/* vc_hidden-lg vc_hidden-md vc_hidden-sm vc_hidden-xs */

/*ocultar copy predet.*/
footer.site-info {
    display: none;
}
/*ocultar aviso dev WPML*/
.otgs-development-site-front-end {
    display: none !important;
}
/*Selector WPML nav-list*/
.wpml-ls-menu-item a {
  padding: 5px !important;
  font-size: 0.7em !important;
}
.grecaptcha-badge {
    display: none !important;
}
/*Back to top*/
.generate-back-to-top {
    right: 5px !important;
    bottom: 50px !important;
}
/*Colores*/
.color-blanco, .color-blanco * {
  color: #fff;
}
.color-accent{
    color:var(--accent);
}
.color-base{
    background: var(--base);
}

.bg-color-blanco {
	background: #fff !important;
}


.bg-color-contrast-3 {
	background: var(--contrast-3) !important;
}

.bg-color-contrast {
	background: var(--contrast) !important;
}

.bg-color-contrast-2 {
	background: var(--contrast-2) !important;
}


.gradiente-1{
    background: linear-gradient(180deg, #DFF5F3 0%, #82e5d4 100%);
}
.gradiente-2{
    background: linear-gradient(0deg, #DFF5F3 0%, #82e5d4 100%);
}
/*Tamaños*/
.txt-26{
	font-size: 26px;
}
.txt-20{
	font-size: 20px;
}
.txt-16{
	font-size: 16px;
}
.txt-12{
	font-size: 12px;
}
/* Márgenes */
.mg-bot-0{
	margin-bottom: 0 !important;
}
.mg-bot-5{
	margin-bottom: 5px !important;
}
.mg-bot-15{
	margin-bottom: 15px !important;
}
.b-rad-15{
    border-radius: 15px;
    overflow: hidden;
}
.mg-0-auto {
	margin: 0 auto !important;
}

/* PADDINGS*/

.pg-30 {
	padding: 30px;
}
.pg-15 {
	padding: 15px;
}

/* width*/

.w-50 {
	width: 50%;
}

/********** Alinear elementos **********/
/* mad_center-sm */
/* mad_left-sm */
/* mad_left-xs */
/* mad_center-xs */
.mad-justify{
    text-align: justify !important;
}

/********** Botones **********/
.btn-center p {
    text-align: center;
}
.btn-center a {
    margin-left: auto;
    margin-right: auto;
}
.btn-right a {
    margin-left: auto;
}
/* Base */
.btn-main a {
    padding: 12px 32px;
    display: block;
    width: fit-content;
    border-radius: 50px;
    text-align: center;
    letter-spacing: 1px;
    font-weight: 400;
    font-size: 16px;
    transition: background-color 0.5s ease, color 0.5s ease, transform 0.3s ease;
    text-decoration: none;
}
.btn-main a:hover {
    cursor: pointer;
}

/* Color principal */
.btn-accent a,
.btn-accent a:active,
.btn-accent a:focus {
    background: var(--accent);
    color: #fff;
    text-decoration: none;
    box-shadow: 0 0 0 transparent;
    transition: all 0.3s ease;
}
.btn-accent a:hover {
    color: var(--contrast);
    transform: translateY(-3px);
}

.btn-black a,
.btn-black a:active,
.btn-black a:focus {
    background: #000;
    color: #fff;
    text-decoration: none;
    box-shadow: 0 0 0 transparent;
    transition: all 0.3s ease;
}
.btn-black a:hover {
    color: var(--accent);
    transform: translateY(-3px);
}
/********** Secciones **********/
section.vc_section {
    padding-top: 50px !important;
    /* padding-bottom: 50px !important; */
}

section.section-top-0{
	padding-top: 0;
}
/* .vc_section:first-of-type {
    padding-top: 0;
}
.vc_section:last-of-type{
	padding-bottom: 0;
}
.vc_section:last-of-type .wpb_content_element:last-of-type{
	margin-bottom: 0 !important;
} */

/************************************************************************ HEADER *************************************************************************/
header#masthead {
    box-shadow: 0 0 20px #717171;
}
nav#secondary-navigation {
    padding-top: 10px;
    padding-bottom: 10px;
}
.secondary-nav-below-header .secondary-navigation .inside-navigation.grid-container, .secondary-nav-above-header .secondary-navigation .inside-navigation.grid-container {
    padding: 0 40px !important;
}
/************************************************************************ NAV *************************************************************************/
#menu-principal-cat a:hover,
#menu-principal-cat a:active,
#menu-principal-cat a:focus{
	color: var(--accent);
}

.main-navigation .menu-bar-item>a {
    padding-right: 0 !important;
}
.btn-nav-login a {
    background: var(--accent);
    border-radius: 50px;
    line-height: 1 !important;
    padding: 15px 20px !important;
    margin-left: 15px;
    transition: background-color 0.5s ease, color 0.5s ease;
}

.btn-nav-login a:hover,
.btn-nav-login a:active,
.btn-nav-login a:focus,
.btn-nav-login[class*="current-menu-"] > a {
    color: #000 !important;
}
.logos-ft .ult-content-box {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 10px;
	align-items: center;
	justify-items: center;
}
.logos-ft .wpb_content_element {
    margin-bottom: 0;
}
#iconos-rrss {
    display: flex;
    gap: 5px;
    margin-left: 15px;
}
.logo-ft-euroregio img,
.logo-ft-linguistic img{
    max-width: 100px !important;
}
/************************************************************************ HOME *************************************************************************/
.home-fila-features img {
    height: 100px !important;
    width: 100px;
    object-fit: cover;
}
.home-fila-features .wpb_single_image {
    margin-bottom: 15px;
}
.title-two-lines {
    margin-bottom: 20px !important;

}
.title-two-lines h4 {
    min-height: 3.2em;
    display: flex;
    align-items: center;
    justify-content: center;
}
.banner-simple {
    border-radius: 20px;
    overflow: hidden;
    box-shadow: 0 0 10px #cccccc;
    transition: transform 0.3s ease-in-out;
}
.banner-simple .padding-extra .vc_column-inner {
    padding: 50px;
}
/* Shortcode latest blog */
.mad_blog_lts_grid {
    display: grid;
    grid-template-columns: 1fr 1fr 1fr;
    gap: 20px;
}
a.mad_blog_lts_item{
    background: linear-gradient(145deg, #ffffff, #f0f0f0);
    border-radius: 15px;
    box-shadow: 0 10px 30px rgba(0, 0, 0, 0.1), inset 0 2px 6px rgba(255, 255, 255, 0.6);
    overflow: hidden;
    transition: all 0.3s ease;
}
a.mad_blog_lts_item:hover{
    transform: translateY(-3px);
}
.mad_blog_lts_date {
    color: var(--accent);
    margin-bottom: 15px;
}
.mad_blog_lts_title {
    margin-bottom: 10px;
}
.mad_blog_lts_info{
    padding: 30px;
    color: var(--contrast);
}
.mad_blog_lts_thumb {
    position: relative;
    overflow: hidden;
    height: 200px;
}
.mad_blog_lts_thumb img {
    display: block;
    transition: filter 0.4s ease;
    object-fit: cover;
    height: 100%;
}
.mad_blog_lts_excerpt {
    display: -webkit-box;
    line-clamp: 4;  
    -webkit-line-clamp: 4;
    -webkit-box-orient: vertical;
    overflow: hidden;
    text-overflow: ellipsis;
    margin-bottom: 20px;
}
.mad_blog_lts_read_more:hover {
    color: var(--accent);
}
a.mad_blog_lts_item:hover .mad_blog_lts_thumb img {
    filter: brightness(0.60);
}
.mad_blog_lts_thumb::after {
    content: "\f002"; 
    font-family: "Font Awesome 7 Pro";
    position: absolute;
    left: 50%;
    top: 100%;
    transform: translate(-50%, 0);
    font-size: 42px;
    color: rgba(255,255,255,0.9);
    opacity: 0;
    transition: all 0.4s ease;
    pointer-events: none;
}
a.mad_blog_lts_item:hover .mad_blog_lts_thumb::after {
    top: 50%; 
    opacity: 1;
    transform: translate(-50%, -50%);
}
#contacte {
    background: #fff;
    border-radius: 15px;
    padding: 40px !important;
}
/************************************************************************ BOTIGA *************************************************************************
*/
ul#wpforms-717-field_5{
    display: grid;
    grid-template-columns: repeat(2, 400px);
    justify-content: center;
    justify-items: center;
}
.form-botiga .wpforms-submit-container {
    text-align: center;
}
div#wpforms-confirmation-717 {
    text-align: center;
}
/************************************************************************ CONTACT *************************************************************************/


/************************************************************************ POST INDIVIDUAL *************************************************************************/
.entry-content section.vc_section {
    padding-bottom: 0;
}
.entry-content.mad_grey-box .wpb_content_element:last-child {
    margin-bottom: 0;
}
.mad_excerpt {
    font-size: 18px;
}

.mad_post-header {
	display: flex;
	gap: 2rem;
	flex-wrap: wrap;
    align-items: center;
}

.mad_post-image {
	flex: 1 1 300px;
}
.mad_post-image img {
	object-fit: cover;
	height: 100%;
	border-radius: 25px;
	max-height: 400px;
}
.mad_post-meta {
	flex: 2 1 500px;
}
.mad_post-meta h1.entry-title {
	margin-bottom: 15px;
}

.mad_author {
	font-weight: bold;
	color: var(--accent);
	margin-bottom: 10px;
}
p.mad_fecha {
	font-size: 16px;
    color: var(--contrast-2);
}
.mad_excerpt {
	margin-top: 1rem;
}

.mad_grey-box {
	background: #fff;
	padding: 2rem;
	margin-top: 2rem;
	border-radius: 25px;
}

/************************************************************************ LOGIN/REGISTER *************************************************************************/

/************************************************************************ FOOTER *************************************************************************/
.logo-ft-kmcat{
	margin-bottom: 15px !important;	
}
.site-footer {
    background: #000;
    color: #fff;
    box-shadow: 0 0 20px #717171;
}
#mad-footer{
    max-width: 1360px;
    padding: 40px 40px 0 40px;
    margin-left: auto;
    margin-right: auto;

}
#mad-footer a {
    color: #fff;
}
#mad-footer a:hover,
#mad-footer a:active,
#mad-footer a:focus {
    color: var(--accent);
}
#mad-copyright {
    max-width: 1360px;
    padding-left: 40px;
    padding-right: 40px;
	padding-bottom: 20px;
    padding-top: 15px !important;
    margin-left: auto;
    margin-right: auto;
    text-align: center;

}